import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/sing_goods/pointgoods/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/sing_goods/pointgoods/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/sing_goods/pointgoods/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/sing_goods/pointgoods/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/sing_goods/pointgoods/submit',
    method: 'post',
    data: row
  })
}

export const shelves = (ids) => {
  return request({
    url: '/api/sing_goods/pointgoods/shelves',
    method: 'post',
    params :{
      ids
    }
  })
}

export const UnShelves = (ids) => {
  return request({
    url: '/api/sing_goods/pointgoods/UnShelves',
    method: 'post',
    params :{
      ids
    }
  })
}

